/*
*  Naamari - an AES/SHA-based manual file crypto-synchronizer for cloud transfers
*  Copyright (c) 2015-2017 Sunkware
*  Key FP = 6B6D C8E9 3438 6E9C 3D97  56E5 2CE9 A476 99EF 28F6
*
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*  See the GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program. If not, see <http://www.gnu.org/licenses/>.
*
*  ----------------------------------------------------------------
*  WWW:       sunkware.org
*  E-mail:    sunkware@gmail.com
*  ----------------------------------------------------------------
*/

#include "help.h"

using namespace cryptrav;


namespace commander
{


int            help(void)
{
 Console::putHelp("Available commands (try '<command> --help' for specific info):");
 Console::putHelp(" 1] Hallway and Nominis-Crypt.");
 Console::putHelp("  cd ..... Change current folder in Hallway or Nominis");
 Console::putHelp("  md ..... Make new folder in Hallway or Nominis");
 Console::putHelp("  ls ..... List content of current folder in Hallway or Nominis");
 Console::putHelp("  put .... Put object-and-its-children from Hallway to Nominis-Crypt");
 Console::putHelp("  get .... Get object-and-its-children from Nominis-Crypt to Hallway");
 Console::putHelp(" 2] Nominis-Crypt only.");
 Console::putHelp("  sz ..... Show size of object-and-its-children (OAIC)");
 Console::putHelp("  test ... Verify integrity (by hash check) of objects from OAIC");
 Console::putHelp("  idle ... Cancel any action (except for erasing) assigned to OAIC");
 Console::putHelp("  push ... Assign OAIC to be pushed from near to far");
 Console::putHelp("  pull ... Assign OAIC to be pulled from far to near");
 Console::putHelp("  shade .. Remove near objects from OAIC equal to far ones");
 Console::putHelp("  erase .. Remove near/far/entire OAIC data; far/entire are assigned");
 Console::putHelp(" 3] General commands.");
 Console::putHelp("  about .. Application info");
 Console::putHelp("  help ... Show this help");
 Console::putHelp("  quit ... Quit the application");

 return COMERR_OK;
}


} // namespace "commander"
